ActionContainer (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.history.container
Class ActionContainer

    java.lang.Object
      org.maltparser.parser.history.container.ActionContainer

    public class ActionContainer

extends Object

Since:
  1.1
Author:
  Johan Hall

Field Summary
`protected int` | `actionCode`
`protected String` | `actionSymbol`
`protected String` | `name`
`protected Table` | `table`

Constructor Summary
`ActionContainer(TableContainer tableContainer)`

Method Summary
`void` | `clear()`
`int` | `getActionCode()`
`String` | `getActionSymbol()`
`Table` | `getTable()`
`String` | `getTableContainerName()`
`String` | `getTableName()`
`String` | `setAction(int code)`
`int` | `setAction(String symbol)`
`protected void` | `setName(String name)`
`void` | `setTable(Table table)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### actionCode

    protected int actionCode

### actionSymbol

    protected String actionSymbol

### table

    protected Table table

### name

    protected String name

Constructor Detail

### ActionContainer

    public ActionContainer(TableContainer tableContainer)

Method Detail

### clear

    public void clear()

### getActionSymbol

    public String getActionSymbol()

### getActionCode

    public int getActionCode()

### setAction

    public String setAction(int code)
                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### setAction

    public int setAction(String symbol)
                  throws MaltChainedException

  Throws:
    `MaltChainedException`

### getTable

    public Table getTable()

### getTableName

    public String getTableName()

### getTableContainerName

    public String getTableContainerName()

### setTable

    public void setTable(Table table)

### setName

    protected void setName(String name)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.